# Wemusic

**Votre plateforme de centralisation et de développement pour les artistes indépendants.**

## Fonctionnalités MVP

* **Profil Artiste :**

    * Nom, photo, bio (courte et longue)
    * Liens sociaux centralisés
* **Générateur de Liens de Partage "Smart" :**

    * Création d'un lien unique pour toutes les plateformes musicales.
* **Presse Kit Léger :**

    * Page simple avec bio, photos, liens vers la musique et vidéos.
* **Calendrier Simple :**

    * Affichage des concerts et des événements.
* **Airbnb de Salles :**

    * Listings de lieux de concert et bars disponibles à la location.
    * Système de notation/avis.
* **Partenaires :**

    * Mise en relation avec des partenaires (studios, prestataires, etc.).
* **Authentification et Gestion des Utilisateurs :**

    * Inscription, connexion, gestion de profil.
* **Gestion des Œuvres Musicales (Minimale) :**

    * Enregistrement des titres et liens d'écoute (pour alimenter les autres fonctionnalités).

**Les fonctionnalités liées à la gestion administrative (déclarations, facturation, etc.) seront proposées dans des offres premium ultérieures.**

## Technologies

* **Frontend :** Next.js, Tailwind CSS
* **Backend :** Node.js
* **Base de Données :** PostgreSQL
* **Gestion d'État (Frontend) :** Zustand

## Structure des Données (Provisoire)

* **Artistes :** Nom, bio, liens sociaux, etc.
* **Liens de Partage :** URL unique, liens vers les plateformes.
* **Événements de Calendrier :** Date, heure, lieu, description, liens.
* **Infos Presse Kit :** Bio, liens, photos, etc.
* **Lieux (Airbnb) :** Informations de location, avis.
* **Partenaires :** Informations de profil, services offerts.
* **Oeuvres Musicales :** Titre, liens d'écoute.

## Étapes de Développement MVP (Provisoire)

1.  **Infrastructure de Base :**

    * Configuration du projet (Next.js, Node.js, PostgreSQL).
    * Authentification et gestion des utilisateurs.
    * Structure de données de base.
2.  **Profil Artiste et Liens Sociaux :**

    * Interface utilisateur pour le profil.
    * Gestion des liens sociaux.
3.  **Générateur de Liens "Smart" :**

    * Interface utilisateur.
    * Logique de redirection.
4.  **Presse Kit Léger :**

    * Interface utilisateur.
5.  **Calendrier Simple :**

    * Interface utilisateur.
6.  **Airbnb de Salles :**

    * Interface utilisateur.
    * Système de notation/avis.
7.  **Gestion Minimale des Œuvres :**

    * Interface utilisateur (pour les besoins du générateur de liens et du press kit).
8.  **Partenaires :**

    * Interface utilisateur pour la découverte des partenaires.
9.  **Tests et Déploiement du MVP.**

## Fonctionnalités des Offres Premium (Futures)

* **Gestion Administrative :**
    * Déclarations aux organismes de gestion collective (SPPF, Sacem, Adami, SCPA, etc.).
    * Facturation.
    * Suivi des dépenses et revenus.
    * Calendrier des échéances administratives.
    * Gestion des contrats.
    * Rapports financiers.
    * Support prioritaire.
    * Fonctionnalités avancées pour les partenaires.

## Contribution

Les contributions sont les bienvenues ! Si vous souhaitez participer au développement de Wemusic, veuillez consulter notre [GUIDE_DE_CONTRIBUTION.md](GUIDE_DE_CONTRIBUTION.md).

## Licence

[MIT](https://opensource.org/licenses/MIT)

## Contact

[AB/WilmoreDynamics] - [contact@wilmoredynamics.com]